Como instalo o Adobe Flash player?

102

Eu tive problemas significativos com a exibição de vídeos em flash no Ubuntu de 64 bits. Alguém sabe de uma boa maneira de executar o flash na plataforma?

    
por Steven Oxley 28.07.2010 / 21:27
fonte

20 respostas

81

Para 11.04 e anteriores:

Você está instalando a partir do Ubuntu Software Center?

  1. Vá para o Applications- > Ubuntu Software Center.
  2. Clique nos parceiros da Canonical
  3. Clique no Adobe Flash Plugin 11 e clique em instalar.

Nota: este é o método que eu uso na minha instalação de 64 bits do Ubuntu e ainda não me ocorreu.

    
por Nathan Osman 28.07.2010 / 21:31
fonte
68

Para 11.10 e posterior

Inicie o Centro de Software no Iniciador e pesquise por flash

Duas entradas serão encontradas. O primeiro é o wrapper em torno da versão flash de 32 bits da Adobe. A segunda é a versão flash de 64 bits.

Selecione a segunda entrada flash - se a seguinte imagem for vista, você ainda não ativou o Repositório de Parceiros da Canonical anteriormente.

CliqueemMaisinformações

... e clique em Use essa fonte para ativar o repositório de parceiros da Canonical

vejaofinaldestarespostaparaorelatóriodeerros

CliqueemInstalar

Clique no botão Instalar e digite sua senha quando solicitado. Nota - você deve ter permissão para instalar o software.

Ainstalaçãoprosseguirá:

Depois de concluído, inicie o Firefox e navegue até o seu Flash Video. Clique com o botão direito e confirme se a versão mais recente do Flash foi instalada corretamente.

Nota-asimagensestãosujeitasaalterações-aversãode64bitsfoirecentementeembaladanaúltimasemanaantesdolançamentodoOneiric-Umproblemaexisteatualmente:

  1. link

Nesse ínterim - use o primeiro plugin "Multiverse" de 32 bits nas imagens acima ou use adobe-flashplugin

sudo apt-get install adobe-flashplugin
    
por fossfreedom 10.10.2011 / 00:52
fonte
31

Esta é a forma de instalar o Adobe Flash Plugin para o Firefox:

  1. Acesse a página e selecione a opção .tar.gz para outros Linux. Baixe o arquivo.
  2. Descompacte o plug-in tar.gz e copie os arquivos para o local apropriado.
  3. Salve o plugin tar.gz localmente e anote o local onde o arquivo foi salvo.
  4. Inicie o terminal e altere os diretórios para o local em que o arquivo foi salvo.
  5. Descompacte o arquivo tar.gz. Uma vez descompactado, você verá o seguinte:

    • libflashplayer.so
    • / usr
  6. Identifique a localização do diretório de plug-ins do navegador, com base na distribuição do Linux e na versão do Firefox. (Geralmente, é /usr/lib/mozilla/plugins/ )
    Para ubuntu 14.04 o caminho é: /usr/lib/firefox/browser/plugins

  7. Copie libflashplayer.so para o diretório de plug-ins do navegador apropriado. No tipo de prompt:

    sudo cp libflashplayer.so <BrowserPluginsLocation>
    
  8. Copie os arquivos de configurações do Flash Player Local Settings para o diretório / usr. No tipo de prompt:

    sudo cp -r usr/* /usr
    
  9. Agora reinicie seu navegador.

por ignite 04.09.2012 / 18:36
fonte
21

Desde que você afirmou que esta é a primeira vez que você já usou o Ubuntu. Eu sugiro que você instale o pacote ubuntu-restricted-extras, isso inclui muitas coisas úteis, como adobe flash e codecs e fontes MS, etc.

você pode fazer isso de várias maneiras.

centro de software: clique neste link:

ou em um terminal: digite sudo apt-get install ubuntu-restricted-extras

synaptic: procure pelo pacote ubuntu-restricted-extras clique com o botão direito no pacote e selecione install, e então selecione mark. depois clique no botão aplicar e tudo será instalado.

    
por Terry 02.04.2011 / 16:02
fonte
13

Existe uma solução simples para este problema.

Abra o seu Firefox e vá para o Youtube. Clique em qualquer vídeo. Definitivamente, não será reproduzido porque você não possui nenhum flash player instalado. Mas o Firefox vai te promover a install missing plug-in no topo. Simplesmente clique nele e siga o procedimento. Depois disso, o seu vídeo começará a ser reproduzido. Certifique-se de ter o navegador mais recente Firefox instalado.

Ou tente isso no seu terminal

sudo apt-get install flashplugin-installer
    
por Kaktarua 04.09.2012 / 18:38
fonte
5

Adquira a minha extensão Flash-Aid para o Firefox. Ele fará o download e instalará a versão apropriada para sua arquitetura de sistema e também removerá plugins conflitantes. Se você estiver em 64 bits, ele também permite instalar a versão de pré-visualização de 64 bits, que renderiza melhores resultados que os 32 bits com o nspluginwrapper.

BTW, se você não pode copiar qualquer coisa para a pasta ~ / .mozilla / plugins, então você deve verificar a propriedade da pasta ~ / .mozilla. Deve permitir copiar qualquer coisa lá. A menos que você esteja se referindo a uma pasta do sistema fora do seu diretório pessoal, o que requer privilégios de root.

    
por lovinglinux 02.12.2010 / 13:40
fonte
4

Depende de qual navegador você está usando. O Google Chrome (e não o Chromium) tem o Flash Player por padrão.

Acesse www.google.com/chrome e clique em download Chrome Escolha .deb de 64 bits (qualquer pessoa que esteja lendo isso usando computadores de 32 bits deve selecionar o .deb de 32 bits)

Quando você clica no arquivo .deb quando ele é baixado, ele será aberto no Centro de Software. Agora clique em instalar e quando terminar, você poderá encontrar o navegador em Aplicativos - > Internet.

    
por Mozart321 02.04.2011 / 22:00
fonte
2

Use o Ubuntu Software Center (no menu Aplicativos). No campo de entrada de texto (da caixa de pesquisa), você pode procurar por "flash" e os resultados preencherão um plug-in do Adobe Flash (observe o logotipo da Adobe). Escolha isso e siga as instruções para usar a fonte.

    
por Daniel T Chen 01.12.2010 / 20:14
fonte
2

Verifique novamente qual diretório "plugin" está sendo usado. Tive que passar uma boa hora uma vez apenas percorrendo todos os diretórios do plugin até descobrir quais eram os que o meu firefox estava lendo, e então ln -s todos eles para apontar para um comum.

No final do dia, você pode estar jogando no lugar errado.

Também inicie o firefox a partir da linha de comando, você poderá ver erros. Exemplo está executando um flash player x86 em um navegador x64 (não os) e vice-versa. Na linha de comando ( %> firefox ) você deve ver as linhas do log de inicialização do plugin. (talvez tente isso primeiro: P)

Também tudo em /usr/lib/... é de propriedade do root, então você teria que sudo cp libflashplayer.so /usr/lib/firefox/plugin onde .../firefox/plugin aponta para o local do diretório do plugin do firefox.

    
por Dmitriy Likhten 01.12.2010 / 20:51
fonte
2

Correção definitiva para Flash de 64 bits em 11.10

Eu consertei Flash de 64 bits em meus sistemas 11.10 sem invólucros. Se você seguir as soluções mencionadas acima, você ainda terá a versão de 32 bits e os wrappers.

Nota: a maior parte disso pode ser feito em um terminal também, nesse caso você não precisa instalar o Synaptic. Além disso, pode ser que apenas executar os passos 5, 6 e 8 seja suficiente, mas ainda não testei isso.

  1. Instale o Synaptic (o Centro de Software não mostra o pacote que você precisa, não nos itens principais e não nos itens técnicos e nem mesmo depois de ter sido instalado)
  2. Inicie o Synaptic e procure por 'flash'
  3. Classificar pelo estado instalado
  4. Remove todos os pacotes relacionados a flash (como flashplugin-downloader: i386, flashplugin-installer, ndiswrapper-common etc.). Se não houver nada listado, você provavelmente não terá o Flash instalado. Nesse caso, basta seguir para a próxima etapa.
  5. Ativar o repositório de parceiros da Canonical (veja as postagens acima sobre como fazer isso)
  6. Atualize a lista de pacotes (não conte com o Centro de Software fazendo isso para você, às vezes não) clicando em "Recarregar" em
  7. Pesquise por "flash" novamente
  8. Instale o pacote 'adobe-flashplugin'. Se não estiver na lista, algo deu errado com a atualização das listas de pacotes. Tente sair e reiniciar o Synapic e, em seguida, clique em "Recarregar".

Um pacote extra, 'adobe-flash-properties-gtk', será instalado automaticamente. Nada mais.

Agora você terá o Flash 64 bit completo sem invólucros e outros tipos de lixo no Firefox e no Chromium. A reinicialização do seu navegador (s) é necessária embora. Se ainda não estiver funcionando, tente uma reinicialização (pode haver alguma referência falsa aos plug-ins antigos em algum lugar).

    
por iGadget 12.11.2011 / 13:18
fonte
2
sudo apt-get remove --purge adobe-flashplugin flashplugin* nspluginwrapper
sudo apt-get install --reinstall adobe-flashplugin

Ref: link

    
por Coc 20.11.2011 / 11:21
fonte
2

Aqui está o que você precisa fazer: por padrão, o Ubuntu vem apenas com software de código aberto ativado (acho que é o caso, de qualquer maneira).

A maneira como você habilita outras coisas (como Flash, Java e suporte para gravação ou reprodução de MP3s, que NÃO é de código aberto) é ir no seu Centro de Software, entrar nos menus (infelizmente não estou no Ubuntu atualmente e não posso dizer qual menu) e procure por Fontes de Software.

Clique nele e você será levado a uma janela que informa ao Ubuntu o que é permitido instalar para você. Na frente de você deve ser uma lista de cinco universos diferentes. O que você precisa fazer é ativar os dois que não estão habilitados no momento.

Depois disso, ele deve perguntar se você deseja recarregar seus repositórios, mas se isso não acontecer, entre em uma linha de comando e digite

sudo apt-get update

e deixe terminar. Então você deve ser capaz de encontrar flash no Centro de Software ou na linha de comando. Você pode alternativamente instalar o pacote ubuntu-restricted-extras, que lhe dará todas as três coisas que mencionei acima.

Boa sorte!

    
por Noah 04.09.2012 / 18:14
fonte
2

Eu passei por tantas sugestões possíveis quanto consegui encontrar em um esforço para fazer o flash funcionar no Chrome em minha instalação de 13,10 64 bits. Nada funcionou. Eu finalmente tropecei na resposta do Pepper Flash.

Existem instruções completas e bem escritas em (link is direct)

ubuntuhandbook.org

Eles detalham adicionando o repositório, atualizando o apt, instalando o Pepper e modificando a configuração do chrome. O que eu fiz diferente de suas instruções foi mudar para o diretório / etc / chromium-browser e emitir o comando

sudo gedit default

que me permitiu adicionar um comentário ao arquivo, além das informações necessárias sobre .sh, para que as últimas duas linhas do meu arquivo padrão modificado fossem:

# enable Pepper Flash Player Plugin
. /usr/lib/pepflashplugin-installer/pepflashplayer.sh

Espero que esta solução funcione por algum tempo.

    
por zenpistolero 03.05.2014 / 01:58
fonte
2

Vídeos em Flash não seriam reproduzidos em uma nova instalação do Ubuntu 14.04, mesmo com adobe-flashplugin do repositório "parceiro" - tela preta no youtube (exceto depois de ter configurando para usar HTML5 ), dailymotion, etc. Instalando freshplayerplugin (aparentemente um wrapper para o flash player do Chrome) resolveu o problema:

sudo add-apt-repository ppa:nilarimogard/webupd8
sudo apt-get update
sudo apt-get install freshplayerplugin
    
por Skippy le Grand Gourou 22.08.2015 / 09:33
fonte
1

Caso o

sudo apt-get install flashplugin-nonfree

não funciona (como no meu caso e eu não sei porque ...), você pode querer experimentar o Opera como navegador. É o único que funciona para mim.

PS: Eu não quero anunciar o Opera em um navegador, é apenas que essa foi a única solução que de alguma forma funcionou para mim.

    
por Remi Meier 14.08.2010 / 15:19
fonte
1

Acabei de encontrar uma solução para quem tem flash trabalhando no Firefox, mas não no Chromium. É baseado no fato de que cada navegador tem seu próprio diretório de plugins:

  • / usr / lib / firefox-addons / plugins (para o Firefox)
  • / usr / lib / chromium-browser / plugins (para o Chromium)

Então, a única coisa que você precisa fazer é unificá-los, ou seja, fazer um link para o outro. Provavelmente, todos os plugins estão no diretório de plugins do Firefox, mas não vale a pena garantir que:

ls -l /usr/lib/{mozilla,chromium-browser}/plugins

Se o Firefox é aquele onde todos os plugins são, faça o seguinte. Se não, faça o contrário:

sudo rmdir /usr/lib/chromium-browser/plugins
sudo ln -s /usr/lib/mozilla/plugins /usr/lib/chromium-browser/

Por fim, reinicie o Chromium para que as alterações entrem em vigor.

Provavelmente, não seria uma má idéia criar um relatório de bug sobre mantenedores de pacotes Chromium / Firefox para alertar sobre o bug e a solução simples.

    
por emi 16.08.2012 / 19:19
fonte
1

Bem, eu postei isso aqui, na esperança de ajudar alguém. Vou dizer o que estava acontecendo e como resolvi.

SETUP:
    Executando 12.04 a partir de uma instalação WUBI.

PROBLEMA:
    Quando pesquisei no Centro de Software do Ubuntu a palavra-chave flash , nenhuma das opções postadas aqui apareceu, exceto ONE por flash plugin para o Mozilla. Ao tentar instalá-lo, recebi um erro de dependência.

Tentei instalá-lo através do Ubuntu Restricted Extras do Ubuntu Software Center, mas a parte do plugin flash desta instalação não funcionou devido ao erro de dependência.

Continuou procurando e encontrou este comando para instalar o plugin

sudo apt-get install flashplugin-nonfree

e correu do terminal.

O mesmo erro de dependência com esta saída:

Reading package lists... Done Building dependency tree        
Reading state information... Done Note, selecting 'flashplugin-installer' instead of 'flashplugin-nonfree' 
Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming. 
The following information may help to resolve the situation:
The following packages have unmet dependencies:  
 flashplugin-installer : 
 Depends: libnspr4-0d but it is not going to be installed E: Unable to correct problems, you have held broken packages.

SOLUÇÃO:

eu corri

sudo apt-get install -f 

e depois

sudo apt-get update 

que encontrei em outro post que estava tentando resolver dependências.

Então eu corri

sudo apt-get install flashplugin-nonfree

e o plug-in flash agora funciona no Chromium e no Firefox.

    
por Joel 02.10.2012 / 17:55
fonte
1

Depende de como você está instalando. é através de um arquivo tar.gz ou rpm ou algum outro método. Existem várias formas de obter flash.

Download link: https://get.adobe.com/flashplayer/

Installation instructions
-------------------------

Installing using the plugin tar.gz:
    o Unpack the plugin tar.gz and copy the files to the appropriate location.  
    o Save the plugin tar.gz locally and note the location the file was saved to.
    o Launch terminal and change directories to the location the file was saved to.
    o Unpack the tar.gz file.  Once unpacked you will see the following:
        + libflashplayer.so
        + /usr
    o Identify the location of the browser plugins directory, based on your Linux distribution and Firefox version
    o Copy libflashplayer.so to the appropriate browser plugins directory.  At the prompt type:
        + cp libflashlayer.so <BrowserPluginsLocation>
    o Copy the Flash Player Local Settings configurations files to the /usr directory.  At the prompt type:
        + sudo cp -r usr/* /usr

Installing the plugin using RPM:
   o As root, enter in terminal:
          + # rpm -Uvh <rpm_package_file>
          + Click Enter key and follow prompts

Installing the standalone player:
   o Unpack the tar.gz file
   o To execute the standalone player,
          + Double-click, or 
          + Enter in terminal: ./flashplayer

Bônus:

Uninstallation instructions
---------------------------

Manual uninstallation (for users who installed the plugin via Install script):
   o Delete libflashplayer.so binary and flashplayer.xpt file in 
   directory /home/<user>/.mozilla/plugins/

RPM uninstallation:
   o As root, enter in terminal:
          + # rpm -e flash-plugin
          + Click Enter key and follow prompts
    
por Revanth Kumar 02.05.2015 / 03:59
fonte
0

Eu verifiquei muitas respostas sobre esse assunto na semana passada. Finalmente encontrei um link com uma solução que funciona:

link

Basicamente, a resposta é que ela parece ser removida de todas as fontes de software e você precisa baixar uma versão antiga e instalá-la manualmente

    
por palbeda 12.04.2017 / 16:33
fonte
0
% bl0ck_qu0te%

%bl0ck_qu0te%

ExisteumprocedimentodeinstalaçãomanualdoAdobeFlashPlayernoUbuntu,sigaosseguintespassos:-

  1. Abra este link . Ele irá sugerir automaticamente uma versão de acordo com o seu ambiente de trabalho.

  2. Selecione a opção .tar.gz for Linux como mostrado na tela abaixo.

  3. AgoracliqueemDownloadButton(selecioneocaminhodedownloadcomoDownloadsnoseusistemaparafacilitaroacesso).

  4. AgoraextraiaoarquivoporRightclickingnapastaeselecioneaopçãoExtractHere.

  5. AbraTerminalCTRL+ALT+Tecopieocomandoabaixoumaum

    5.1.cd../

    5.2.cdyour-pc-name(eg;paper96)

    5.3.cdDownloads(estaéapastaondevocêbaixouoarquivonaOpção3).

    5.4.cdflash_player_npapi_linux.x86_64(Seunomedearquivopodeserdiferenteapenascopieonomedoarquivoecolenoterminal)

    5.5.sudomvlibflashplayer.so\/usr/lib/firefox-addons/pluginspressioneenterepronto.

  6. Agorafecheseunavegador(Firefox)eTerminal.

  7. ReinicieoFirefoxeagoravocêtemoFlashPlayernoseunavegador.Visite este link para confirmar.

por Pankaj Gautam 17.07.2017 / 09:52
fonte